> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Lease: Propertyware

POST https://api.propexo.com/v1/leases/propertyware/
Content-Type: application/json

Create Lease: Propertyware| Method      |
| ----------- |
| createLease |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/propertyware-soap/leases/create-lease-propertyware

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_leases_propertyware__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `unit_id` (string, required) — The Propexo unique identifier for the unit
- `primary_contact_id` (string, required) — The Propexo unique identifier of the primary contact. This must either be a lead, applicant, or resident in Propexo
- `tenants` (list of V1LeasesPropertywarePostInputTenantsItems, required) — An array of Propexo lead, applicant, or resident IDs. This must also include the primary contact ID
- `start_date` (string, required) — The start date associated with the lease
- `end_date` (string, required) — The end date associated with the lease
- `scheduled_move_in_date` (string, optional) — The move-in date associated with the lease
- `scheduled_move_out_date` (string, optional) — The move-out date associated with the lease
- `status` (enum, optional) — The status associated with the lease
  - Allowed values: `Draft`, `Active`, `Active - Notice Given`, `Terminated`, `Eviction`

## Response

### 200

Successful response

- `meta` (V1LeasesPropertywarePostOutputMeta, required)
- `result` (V1LeasesPropertywarePostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1LeasesPropertywarePostInputTenantsItems

- `id` (string, required) — The Propexo unique identifier for the lead, applicant, or resident

### V1LeasesPropertywarePostOutputMeta

- `job_id` (string, required)

### V1LeasesPropertywarePostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `unit_id` (string, required) — The Propexo unique identifier for the unit
- `primary_contact_id` (string, required) — The Propexo unique identifier of the primary contact. This must either be a lead, applicant, or resident in Propexo
- `tenants` (list of V1LeasesPropertywarePostOutputResultTenantsItems, required)
- `start_date` (string, required) — The start date associated with the lease
- `end_date` (string, required) — The end date associated with the lease
- `scheduled_move_in_date` (string, required, nullable) — The move-in date associated with the lease
- `scheduled_move_out_date` (string, required, nullable) — The move-out date associated with the lease
- `status` (enum, required) — The status associated with the lease
  - Allowed values: `Draft`, `Active`, `Active - Notice Given`, `Terminated`, `Eviction`

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1LeasesPropertywarePostOutputResultTenantsItems

- `id` (string, required) — The Propexo unique identifier for the lead, applicant, or resident

## Examples

**Request**

```json
{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "property_id": "prop-1234567890abcdef",
  "unit_id": "unit-0987654321fedcba",
  "primary_contact_id": "contact-1122334455667788",
  "tenants": [
    {
      "id": "contact-1122334455667788"
    },
    {
      "id": "contact-8877665544332211"
    }
  ],
  "start_date": "2024-07-01T12:00:00Z",
  "end_date": "2025-06-30T11:59:59Z"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240601-abcdef123456"
  },
  "result": {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "property_id": "prop-1234567890abcdef",
    "unit_id": "unit-0987654321fedcba",
    "primary_contact_id": "contact-1122334455667788",
    "tenants": [
      {
        "id": "contact-1122334455667788"
      },
      {
        "id": "contact-8877665544332211"
      }
    ],
    "start_date": "2024-07-01T12:00:00Z",
    "end_date": "2025-06-30T11:59:59Z",
    "scheduled_move_in_date": "2024-07-01T12:00:00Z",
    "scheduled_move_out_date": "2025-06-30T11:59:59Z",
    "status": "Draft"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/leases/propertyware/"

payload = {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "property_id": "prop-1234567890abcdef",
    "unit_id": "unit-0987654321fedcba",
    "primary_contact_id": "contact-1122334455667788",
    "tenants": [{ "id": "contact-1122334455667788" }, { "id": "contact-8877665544332211" }],
    "start_date": "2024-07-01T12:00:00Z",
    "end_date": "2025-06-30T11:59:59Z"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/leases/propertyware/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-9f8b7c6d5e4a3b2c1d0e","property_id":"prop-1234567890abcdef","unit_id":"unit-0987654321fedcba","primary_contact_id":"contact-1122334455667788","tenants":[{"id":"contact-1122334455667788"},{"id":"contact-8877665544332211"}],"start_date":"2024-07-01T12:00:00Z","end_date":"2025-06-30T11:59:59Z"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/leases/propertyware/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"unit_id\": \"unit-0987654321fedcba\",\n  \"primary_contact_id\": \"contact-1122334455667788\",\n  \"tenants\": [\n    {\n      \"id\": \"contact-1122334455667788\"\n    },\n    {\n      \"id\": \"contact-8877665544332211\"\n    }\n  ],\n  \"start_date\": \"2024-07-01T12:00:00Z\",\n  \"end_date\": \"2025-06-30T11:59:59Z\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/leases/propertyware/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"unit_id\": \"unit-0987654321fedcba\",\n  \"primary_contact_id\": \"contact-1122334455667788\",\n  \"tenants\": [\n    {\n      \"id\": \"contact-1122334455667788\"\n    },\n    {\n      \"id\": \"contact-8877665544332211\"\n    }\n  ],\n  \"start_date\": \"2024-07-01T12:00:00Z\",\n  \"end_date\": \"2025-06-30T11:59:59Z\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/leases/propertyware/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"unit_id\": \"unit-0987654321fedcba\",\n  \"primary_contact_id\": \"contact-1122334455667788\",\n  \"tenants\": [\n    {\n      \"id\": \"contact-1122334455667788\"\n    },\n    {\n      \"id\": \"contact-8877665544332211\"\n    }\n  ],\n  \"start_date\": \"2024-07-01T12:00:00Z\",\n  \"end_date\": \"2025-06-30T11:59:59Z\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/leases/propertyware/', [
  'body' => '{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "property_id": "prop-1234567890abcdef",
  "unit_id": "unit-0987654321fedcba",
  "primary_contact_id": "contact-1122334455667788",
  "tenants": [
    {
      "id": "contact-1122334455667788"
    },
    {
      "id": "contact-8877665544332211"
    }
  ],
  "start_date": "2024-07-01T12:00:00Z",
  "end_date": "2025-06-30T11:59:59Z"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/leases/propertyware/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"unit_id\": \"unit-0987654321fedcba\",\n  \"primary_contact_id\": \"contact-1122334455667788\",\n  \"tenants\": [\n    {\n      \"id\": \"contact-1122334455667788\"\n    },\n    {\n      \"id\": \"contact-8877665544332211\"\n    }\n  ],\n  \"start_date\": \"2024-07-01T12:00:00Z\",\n  \"end_date\": \"2025-06-30T11:59:59Z\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "property_id": "prop-1234567890abcdef",
  "unit_id": "unit-0987654321fedcba",
  "primary_contact_id": "contact-1122334455667788",
  "tenants": [["id": "contact-1122334455667788"], ["id": "contact-8877665544332211"]],
  "start_date": "2024-07-01T12:00:00Z",
  "end_date": "2025-06-30T11:59:59Z"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leases/propertyware/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```